| Home | Libraries | People | FAQ | More

### signal_set_service

Default service implementation for a signal set.

    class signal_set_service :
      public io_service::service

##### Types

Name | Description
--- | ---
implementation_type | The type of a signal set implementation.

##### Member Functions

Name | Description
--- | ---
add | Add a signal to a signal_set.
async_wait |
cancel | Cancel all operations associated with the signal set.
clear | Remove all signals from a signal_set.
construct | Construct a new signal set implementation.
destroy | Destroy a signal set implementation.
get_io_service | Get the io_service object that owns the service.
remove | Remove a signal to a signal_set.
signal_set_service | Construct a new signal set service for the specified io_service.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.

##### Requirements

Header: `boost/asio/signal_set_service.hpp`

Convenience header: `boost/asio.hpp`